<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content interface">
                   <div class="content-data">












<ol class="breadcrumb">
  <li>Interfaces</li>
  <li>ModelSelectorData</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/parameters/election-page-properties/selector/model-selector.component.ts</code>
        </p>



        <section>
            <h3 id="index">Index</h3>
            <table class="table table-sm table-bordered index-table">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <h6><b>Properties</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                        <a href="#operation">operation</a>
                                </li>
                                <li>
                                        <a href="#possibleBallots">possibleBallots</a>
                                </li>
                                <li>
                                        <a href="#possibleModels">possibleModels</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </section>



            <section>
                <h3 id="inputs">Properties</h3>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="operation"></a>
                                        <span class="name"><b>operation</b><a href="#operation"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>operation:     <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="possibleBallots"></a>
                                        <span class="name"><b>possibleBallots</b><a href="#possibleBallots"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>possibleBallots:     <code>string[]</code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>    <code>string[]</code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="possibleModels"></a>
                                        <span class="name"><b>possibleModels</b><a href="#possibleModels"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>possibleModels:     <code><a href="../interfaces/Model.html" target="_self" >Model[]</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>    <code><a href="../interfaces/Model.html" target="_self" >Model[]</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
            </section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Inject } from &#x27;@angular/core&#x27;;
import { MAT_DIALOG_DATA, MatDialogRef, MatTableDataSource } from &#x27;@angular/material&#x27;;
import { SelectionModel } from &#x27;@angular/cdk/collections&#x27;;
import { Model } from &#x27;../model/election-page-properties&#x27;;
import { ElectionPagePropertiesService } from &#x27;../services/election-page-properties.service&#x27;;
import { Operation } from &#x27;../../../model/operation&#x27;;


export interface ModelSelectorData {
  operation: Operation;
  possibleModels: Model[];
  possibleBallots: string[];
}

@Component({
  selector: &quot;election-page-bulk-update&quot;,
  templateUrl: &#x27;./model-selector.component.html&#x27;,
  styleUrls: [&#x27;./model-selector.component.scss&#x27;]
})
export class ModelSelectorComponent {
  selectedModelId: number;
  revokeError: string &#x3D; null;
  dataSource &#x3D; new MatTableDataSource();
  selection &#x3D; new SelectionModel&lt;any&gt;(true, []);


  constructor(@Inject(MAT_DIALOG_DATA) public data: ModelSelectorData,
              private service: ElectionPagePropertiesService,
              private dialogRef: MatDialogRef&lt;ModelSelectorComponent&gt;) {
    this.search(&quot;&quot;);
  }

  get displayedColumns() {
    return [&quot;select&quot;, &quot;ballot&quot;];
  }

  isAllSelected() {
    const numSelected &#x3D; this.selection.selected.length;
    const numRows &#x3D; this.dataSource.data.length;
    return numSelected &#x3D;&#x3D; numRows;
  }


  search(q) {
    this.dataSource.data &#x3D;
      this.data.possibleBallots
        .filter(ballot &#x3D;&gt; ballot.toLocaleLowerCase().indexOf(q.toLocaleLowerCase()) &gt;&#x3D; 0)
        .map(ballot &#x3D;&gt; {
          return {ballot}
        });
    this.selection.clear();
  }


  masterToggle() {
    this.isAllSelected() ?
      this.selection.clear() :
      this.dataSource.data.forEach(row &#x3D;&gt; this.selection.select(row));
  }

  get selectedValues() {
    return this.data.possibleBallots
  }


  validate() {
    let selectedBallots: string[] &#x3D; this.selection.selected.map(v &#x3D;&gt; v.ballot);
    this.dialogRef.close();
    this.service.associateModelToBallots(this.data.operation.id, this.selectedModelId, selectedBallots).subscribe();
  }


}
</code></pre>
    </div>
</div>






                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'interface';
            var COMPODOC_CURRENT_PAGE_URL = 'ModelSelectorData.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
